import React from 'react';
import styles from './_Menu.scss';

let { Component, PropTypes } = React;

export default class MenuItem extends Component {

  static propTypes = {
    item: PropTypes.object.isRequired
  };

  onItemClick = (e) => {
    e.preventDefault();
    window.alert('You clicked ' + this.props.item.label);
  };

  render() {
    return (
      <li key={'menu-item-' + this.props.item.id}>
        <span className={styles.avatar}>
          &nbsp;
        </span> {this.props.item.label}
      </li>
    );
  }
}
